Redmine - Defect #20799

Incorrect language when set to Portuguese Brazilian
2015-09-21 17:53 - Fernando Possebon

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: 118n Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 3.11
Description

I'm using the Redmine 3.1.1 version and when | set the default language or the user language preference to Portuguese Brazilian,
the Redmine loads the Portuguese language.

| looked at database on settings table, to check if the information was written correct there, and there is stored the value pt-BR.
| looked at config/locales folders and there is a pt-BR.yml file there, with all values.

| did a test: renamed the pt.yml (Portuguese Portugal) and restarted the Redmine application. After the rename, Redmine starts in
English.

That's means that even the language is set to pt-BR, Redmine looks for the pt.yml file.

History

#1 - 2015-09-22 14:04 - Toshi MARUYAMA

- Category changed from Translations to 118n

#2 - 2015-09-22 14:08 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Try "bundle exec rake tmp:cache:clear tmp:sessions:clear RAILS_ENV=production".

#3 - 2015-09-22 15:13 - Fernando Possebon
Toshi MARUYAMA wrote:

Try "bundle exec rake tmp:cache:clear tmp:sessions:clear RAILS_ENV=production".

Toshi, | did what you suggest and the behavior is the same. Still uses the pt.yml

#4 - 2015-10-20 04:13 - Toshi MARUYAMA
Did you try #2691?

#5 - 2024-09-14 08:45 - Go MAEDA
- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce
https://www.redmine.org/issues/2691
